<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Notifications -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>Notifications &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in CapabilityAgents/Notifications</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notification_renderer_8h.html">NotificationRenderer.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_2255c9d1605cd31ab93ea032c5611101.html">MediaPlayer</a>&#160;/&#160;<a class="el" href="_media_player_interface_8h.html">MediaPlayerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notification_renderer_8h.html">NotificationRenderer.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_2255c9d1605cd31ab93ea032c5611101.html">MediaPlayer</a>&#160;/&#160;<a class="el" href="_media_player_observer_interface_8h.html">MediaPlayerObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notification_renderer_8h.html">NotificationRenderer.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_requires_shutdown_8h.html">RequiresShutdown.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_capability_agent_8h.html">CapabilityAgent.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_capability_configuration_8h.html">CapabilityConfiguration.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_notifications_audio_factory_interface_8h.html">NotificationsAudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_capability_configuration_interface_8h.html">CapabilityConfigurationInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_context_manager_interface_8h.html">ContextManagerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_notifications_observer_interface_8h.html">NotificationsObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_requires_shutdown_8h.html">RequiresShutdown.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_28c38612a2e19c2720cd1287ea8c9ceb.html">Threading</a>&#160;/&#160;<a class="el" href="_executor_8h.html">Executor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_storage_interface_8h.html">NotificationsStorageInterface.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h.html">IndicatorState.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_s_q_lite_notifications_storage_8h.html">SQLiteNotificationsStorage.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_3cb7a24e7d88f8d7e416c9228ad06d12.html">src</a>&#160;/&#160;<a class="el" href="_notification_renderer_8cpp.html">NotificationRenderer.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_3cb7a24e7d88f8d7e416c9228ad06d12.html">src</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8cpp.html">NotificationsCapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_capability_configuration_8h.html">CapabilityConfiguration.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_3cb7a24e7d88f8d7e416c9228ad06d12.html">src</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8cpp.html">NotificationsCapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a>&#160;/&#160;<a class="el" href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_3cb7a24e7d88f8d7e416c9228ad06d12.html">src</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8cpp.html">NotificationsCapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_b87968e904c49b1e151e63fd16be423f.html">Timing</a>&#160;/&#160;<a class="el" href="_time_utils_8h.html">TimeUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_3cb7a24e7d88f8d7e416c9228ad06d12.html">src</a>&#160;/&#160;<a class="el" href="_s_q_lite_notifications_storage_8cpp.html">SQLiteNotificationsStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_9a98853513cdd8530cb150a5b3497472.html">File</a>&#160;/&#160;<a class="el" href="_file_utils_8h.html">FileUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_3cb7a24e7d88f8d7e416c9228ad06d12.html">src</a>&#160;/&#160;<a class="el" href="_s_q_lite_notifications_storage_8cpp.html">SQLiteNotificationsStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notification_renderer_test_8cpp.html">NotificationRendererTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notification_renderer_test_8cpp.html">NotificationRendererTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a>&#160;/&#160;<a class="el" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_834bf911d49030c30073fd5ed0d05185.html">Utils</a>&#160;/&#160;<a class="el" href="dir_45da8a61f44f26943639e729d0898294.html">MediaPlayer</a>&#160;/&#160;<a class="el" href="_mock_media_player_8h.html">MockMediaPlayer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a>&#160;/&#160;<a class="el" href="dir_1135dc1123fe43c3ee136d2cf31a0c46.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_7bdff736f20bfd31c081269ae0dc0c4a.html">AVS</a>&#160;/&#160;<a class="el" href="dir_1977e7305461c7cf8192fd3f175ab4fc.html">Attachment</a>&#160;/&#160;<a class="el" href="_mock_attachment_manager_8h.html">MockAttachmentManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h.html">IndicatorState.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_0cdc2576cbdff8bbeec8f5cd9892073c.html">Initialization</a>&#160;/&#160;<a class="el" href="_alexa_client_s_d_k_init_8h.html">AlexaClientSDKInit.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_notifications_audio_factory_interface_8h.html">NotificationsAudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_exception_encountered_sender_8h.html">MockExceptionEncounteredSender.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_context_manager_8h.html">MockContextManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_a_v_s_common_2_s_d_k_interfaces_2test_2_a_v_s_common_2_s_d_k_interfaces_2_mock_directive_sequencer_8h.html">MockDirectiveSequencer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_directive_handler_result_8h.html">MockDirectiveHandlerResult.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a>&#160;/&#160;<a class="el" href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_test_8cpp.html">NotificationsCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_console_logger_8h.html">ConsoleLogger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a>&#160;/&#160;<a class="el" href="_notifications_storage_test_8cpp.html">NotificationsStorageTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_9a98853513cdd8530cb150a5b3497472.html">File</a>&#160;/&#160;<a class="el" href="_file_utils_8h.html">FileUtils.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
